Phone & voice · Branded Calling
Fetches a registered business.
https://api.pozy.ai/v1/branded-calling/enterprises/{id}Guide: Branded calling
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/branded-calling/enterprises/6bfebd43ddc270f6d2c56fc5" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/branded-calling/enterprises/6bfebd43ddc270f6d2c56fc5", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/branded-calling/enterprises/6bfebd43ddc270f6d2c56fc5",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
idstringlegalNamestringdoingBusinessAsstringorganizationTypestringOne of
commercial,government,non_profit.organizationLegalTypestringOne of
corporation,llc,partnership,nonprofit,other.countryCodestringOne of
US,CA.jurisdictionOfIncorporationstringwebsitestringfeinLast4stringindustrystringnumberOfEmployeesstringOne of
1-10,11-50,51-200,201-500,501-2000,2001-10000,10001+.organizationContactobjectfirstNamestringrequiredUp to 100 characters.
lastNamestringrequiredUp to 100 characters.
emailstring (email)requiredjobTitlestringUp to 100 characters.
phoneNumberstringrequired
billingContactobjectfirstNamestringrequiredUp to 100 characters.
lastNamestringrequiredUp to 100 characters.
emailstring (email)requiredjobTitlestringUp to 100 characters.
phoneNumberstringrequired
physicalAddressobjectstreetAddressstringrequiredUp to 255 characters.
extendedAddressstringUp to 255 characters.
citystringrequiredUp to 100 characters.
administrativeAreastringrequiredpostalCodestringrequiredUp to 20 characters.
countrystringrequired
billingAddressobjectstreetAddressstringrequiredUp to 255 characters.
extendedAddressstringUp to 255 characters.
citystringrequiredUp to 100 characters.
administrativeAreastringrequiredpostalCodestringrequiredUp to 20 characters.
countrystringrequired
registeredbooleancreatedAtstring (date-time)Can be null.
{
"id": "6bfebd43ddc270f6d2c56fc5",
"legalName": "Acme",
"doingBusinessAs": "string",
"organizationType": "commercial",
"organizationLegalType": "corporation",
"countryCode": "US",
"jurisdictionOfIncorporation": "string",
"website": "string",
"feinLast4": "string",
"industry": "string",
"numberOfEmployees": "1-10",
"organizationContact": {
"firstName": "Acme",
"lastName": "Acme",
"email": "alex@example.com",
"jobTitle": "string",
"phoneNumber": "+14155550123"
},
"billingContact": {
"firstName": "Acme",
"lastName": "Acme",
"email": "alex@example.com",
"jobTitle": "string",
"phoneNumber": "+14155550123"
},
"physicalAddress": {
"streetAddress": "string",
"extendedAddress": "string",
"city": "string",
"administrativeArea": "string",
"postalCode": "string",
"country": "US"
},
"billingAddress": {
"streetAddress": "string",
"extendedAddress": "string",
"city": "string",
"administrativeArea": "string",
"postalCode": "string",
"country": "US"
},
"registered": true,
"createdAt": "2026-10-02T09:00:00.000Z"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.